Intrusion Prevention

OrientDB.fetchplan.Query.Code.Execution

Description

This indicates an attack attempt against a Code Execution vulnerability in OrientDB server.
The vulnerability is caused by a lack of privilege enforcement when a targeted system handles query with "where","fetch plan" and "order by". A remote attacker may be able to exploit this to execute arbitrary code on vulnerable systems via a crafted query.

Affected Products

OrientDB 2.2.22 and the prior

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrades or patches from the vendor.
https://github.com/orientechnologies/orientdb/wiki/OrientDB-2.2-Release-Notes#2223---july-11-2017

CVE References

CVE-2017-11467